> For the complete documentation index, see [llms.txt](https://sugoi.gitbook.io/lanraragi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sugoi.gitbook.io/lanraragi/api-documentation.md).

# API Documentation

- [Getting started](https://sugoi.gitbook.io/lanraragi/api-documentation/getting-started.md)
- [Search API](https://sugoi.gitbook.io/lanraragi/api-documentation/search-api.md): Perform searches.
- [Archive API](https://sugoi.gitbook.io/lanraragi/api-documentation/archive-api.md): Everything dealing with Archives.
- [Database API](https://sugoi.gitbook.io/lanraragi/api-documentation/database-api.md): Query and modify the database.
- [Category API](https://sugoi.gitbook.io/lanraragi/api-documentation/category-api.md): Endpoints related to Categories.
- [Tankoubon API](https://sugoi.gitbook.io/lanraragi/api-documentation/tankoubon-api.md): Endpoints related to Tankoubons.
- [Plugin API](https://sugoi.gitbook.io/lanraragi/api-documentation/plugin-api.md): APIs to list and execute Plugins.
- [Shinobu API](https://sugoi.gitbook.io/lanraragi/api-documentation/shinobu-api.md): Shinobu Filewatcher APIs.
- [Minion API](https://sugoi.gitbook.io/lanraragi/api-documentation/minion-api.md): Minion Job Queue APIs.
- [OPDS Catalog](https://sugoi.gitbook.io/lanraragi/api-documentation/opds-catalog.md): Endpoints related to OPDS catalog generation and serving.
- [Miscellaneous other API](https://sugoi.gitbook.io/lanraragi/api-documentation/miscellaneous-other-api.md): Other APIs that don't fit a dedicated theme.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://sugoi.gitbook.io/lanraragi/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
